package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.powerdistribution.domain.*;

import java.util.List;

/**
 * 日报VO
 */
public class ReportDayWeek {

    /**
     * 履职统计
     */
    private List<PdmReportAppointmentDay> appointmentList;

    /**
     * 违章统计
     */
    private List<PdmReportIllegalDay> illegalList;

    /**
     * 工作计划统计
     */
    private List<PdmReportPlanDay> planList;

    /**
     * 下周工作计划统计
     */
    private List<PdmReportPlanNextDay> nextList;

    /**
     * 三级作业计划列表
     */
    private List<PdmWorkPlan> workList;

    public List<PdmReportAppointmentDay> getAppointmentList() {
        return appointmentList;
    }

    public void setAppointmentList(List<PdmReportAppointmentDay> appointmentList) {
        this.appointmentList = appointmentList;
    }

    public List<PdmReportIllegalDay> getIllegalList() {
        return illegalList;
    }

    public void setIllegalList(List<PdmReportIllegalDay> illegalList) {
        this.illegalList = illegalList;
    }

    public List<PdmReportPlanDay> getPlanList() {
        return planList;
    }

    public void setPlanList(List<PdmReportPlanDay> planList) {
        this.planList = planList;
    }

    public List<PdmReportPlanNextDay> getNextList() {
        return nextList;
    }

    public void setNextList(List<PdmReportPlanNextDay> nextList) {
        this.nextList = nextList;
    }

    public List<PdmWorkPlan> getWorkList() {
        return workList;
    }

    public void setWorkList(List<PdmWorkPlan> workList) {
        this.workList = workList;
    }
}
